package cn.com.countrygarden.bi.main.dao.review;
import cn.com.countrygarden.bi.main.core.Mapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import cn.com.countrygarden.bi.main.dto.ReviewScoreDTO;
import cn.com.countrygarden.bi.main.dto.ReviewScoreProblemDTO;
import cn.com.countrygarden.bi.main.dto.reviewevaluateDTO;
import cn.com.countrygarden.bi.main.dto.ReviewExcel.ReviewRinquDTO;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewEvaluate;
import cn.com.countrygarden.bi.main.model.review.ReviewGrade;


import cn.com.countrygarden.bi.main.model.review.ReviewScore;
/**
 * 评选结果-数据层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewScoreMapper extends Mapper<ReviewScore>{
     public List<ReviewScoreDTO> scoredtos(@Param(value="investigatedid")Integer investigatedid,@Param(value="gradeid")Integer gradeid);
     public List<ReviewScoreProblemDTO> scoreproblem(ReviewScoreProblemDTO scoreproblem);
     
     public List<ReviewScoreProblemDTO> scoreproblemweiti(ReviewScoreProblemDTO scoreproblem);
     
     
     public int updatesource(ReviewScore reviewsc);
     public List<ReviewScoreProblemDTO> evaluationproblem(@Param(value="investigatedid")Integer investigatedid);
     
     public int updateedit(ReviewEvaluate reviewe);
     
     public int updataflag(@Param(value="id")Integer id,@Param(value="judgeId")Integer judgeId,@Param(value="questionnaireId")Integer questionnaireId);
		
	 public int delsoce(@Param(value="judgeId")Integer judgeId);
	 
	 public Integer scoreraid(ReviewScoreProblemDTO scoreproblem);
	 
	 public String reviewevaluate(@Param(value="investigatedid")Integer investigatedid,@Param(value="questionnaireid")Integer questionnaireid);
	 
	 ReviewRinquDTO reviewrinqu(@Param(value="investigatedid")Integer investigatedid);
	 
	 List<ReviewScoreProblemDTO> scoreproblemexcl(@Param(value="investigatedid")Integer investigatedid,@Param(value="questionnaireid")Integer questionnaireid);
	 
	 List<ReviewScoreProblemDTO> scoreproblemwenexcl(@Param(value="investigatedid")Integer investigatedid,@Param(value="questionnaireid")Integer questionnaireid);
}